#!/bin/sh
###############################################################################
##
##  Module enable/disable script
##
###############################################################################

modName=$1
modEnable=$2

###############################################################################
##
##  Include module library
##
###############################################################################
modLibDir=/raid/data/module/$modName/Shell
{ [ -r "$modLibDir/module.lib" ] && source "$modLibDir/module.lib"; } || { echo error; exit 1; }

###############################################################################
##
##  Enable
##
###############################################################################
enable() {
    $modRC start

    return $?
}

###############################################################################
##
##  Disable
##
###############################################################################
disable() {
    $modRC stop

    return $?
}

###############################################################################
##
##  Main
##
###############################################################################

result=fail

case "$modEnable" in
    No|no)
        enable && result=pass
        ;;

    Yes|yes)
        disable && result=pass
        ;;

    *)
        ;;
esac

echo $result

exit 0

